> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/manage-customers-and-segments.md).

# Manage customer-segment linkage

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/integration/manage-customers-and-segments) in the new Integration APIs space of our documentation.
{% endhint %}

{% hint style="info" %}
Maximum of 100 segments per customer.

If you are syncing more than 100 segments for a customer, please contact Epsilon. If you exceed 100 segments per customers, ad requests may have reduced segment pooling and truncate segments in the request.
{% endhint %}

## POST /customers/manage-segments

> Manage customer-segment linkage

```json
{"openapi":"3.1.0","info":{"title":"integration","version":"1"},"servers":[{"url":"https://integration-BASE-URL.citrusad.com/v1/"}],"security":[{"sec0":[]}],"components":{"securitySchemes":{"sec0":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/customers/manage-segments":{"post":{"deprecated":false,"description":"","operationId":"manage-customers-and-segments","requestBody":{"content":{"application/json":{"schema":{"properties":{"customerId":{"description":"The unique identifier of the customer you are managing segments for.","type":"string"},"segments":{"items":{"properties":{"segmentIds":{"default":[],"description":"The list of Segment IDs the customer has access to.","items":{"type":"string"},"type":"array"}},"type":"object"},"type":"array"},"teamId":{"description":"The retailer teamId for the retailer the customer is within.","type":"string"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{}},"description":"200"},"400":{"content":{"application/json":{"schema":{"properties":{"additionalInfo":{"items":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"type":"array"},"message":{"type":"string"}},"type":"object"}}},"description":"400"},"401":{"content":{"text/plain":{}},"description":"401"},"403":{"content":{"text/plain":{}},"description":"403"},"404":{"content":{"text/plain":{}},"description":"404"},"429":{"content":{"text/plain":{}},"description":"429"},"500":{"content":{"text/plain":{}},"description":"500"},"502":{"content":{"text/plain":{}},"description":"502"},"503":{"content":{"text/plain":{}},"description":"503"},"504":{"content":{"text/plain":{}},"description":"504"}},"summary":"Manage customer-segment linkage"}}}}
```
